QGIS Application - Feature request #3118
GdalTools (warp): add support for ntv2 grid and +towgs84 transformations
Category: GDAL Tools
Description

Hi Giuseppe, this is the new description for the old ticket available in the gdal tools tracker.

https://trac.faunalia.it/GdalTools-plugin/ticket/57

Please have a look also to the new description of ticket that describes the same enhancement request, but for vectors.

https://trac.osgeo.org/qgis/ticket/2913#comment:3

in qgis:

*) a new menu to allow a user import ntv2 grids (.gsb files): the same files need to be copied in the proper system location, for example
"/etc/proj" for linux. The same menu would serve to import grids for vectors transformation (see #2913).

in the "warp" tool:

*) add a dropdown to let the user choose the appropriate ntv2 grid, among the ones available in the proper system folder

*) if the user chooses a ntv2 grid the underlying gdalwarp operation MUST always add the "+wktext" parameter in the source srs definition

*) if the user chooses a ntv2 grid the underlying gdalwarp operation MUST always add the "+towgs84=0,0,0" parameter in the target srs
definition, if this srs is a projected one

*) add a field to let the user write manually +towgs84 parameters in case he/she don't want/need to use ntv2 grids. This field and the ntv2
dropdown need to be mutually exclusive.

g) make the windows where the command shows, while the users chooses the options, editable. | know there is already a ticket about
this.

History

#1 - 2010-10-25 05:27 PM - badams -

I loaded . The 4 vector projections now import in the correct location so thats a good start.

Projections are not sticking for a shape or mapinfo export. They seem to reload in the right place, just with the wrong projection attached.

#2 - 2010-11-01 06:27 PM - badams -

How is this bug fix progressing? | haven't seen any updates for a long time.
https://trac.faunalia.it/GdalTools-plugin/ticket/57
https://trac.osgeo.org/qgis/ticket/2913#comment:3

#3 - 2010-11-02 05:02 AM - Giovanni Manghi

see also #3099

#4 - 2010-11-02 05:07 AM - Giovanni Manghi

Replying to [comment:2 badams]:

How is this bug fix progressing? | haven't seen any updates for a long time.

no idea, meanwhile | compiled trunk and the indirect methods™** do still work.

kK

copy the ntv2 grids in the proper system folder, create the proper custom CRS then use them for datum transformation (for vectors a middle passage is
needed due to the lack of the "source srs" filed in the "save as..." dialogs).

#5 - 2010-11-03 06:48 PM - badams -

| loaded commit:b4c53234 (SVN r14496).

I'm not convinced its splitting AGD84 fron AGD66. There is only a few meters difference which dosn't seem to be accounted for.

To get AGD84, AGD66 and GDA94 to plot together | need to allow on the fly reprojection. This changes everything to WGS72 (is that a bit dodgy? I'd
never even heard of that projection). From here, everything seems to get exported as WGS72 lat long as opposed to the projection assigned on import(not

sure about this, the prj files don't make alot of sense but they don't look right)

When | go to Vector >> Data management tools >> Define current projection
no projection is shown. Does this imply the projection isn't sticking? It never has in the past.

If I try and open the attribute table to see whats going on QGIS crashes.

Sorry, not many positives in that.

#6 - 2010-11-04 02:21 AM - Giuseppe Sucameli

Replying to [comment:5 badams]:

I loaded commit:b4¢c53234 (SVN r14496).

I'm not convinced its splitting AGD84 fron AGD66. There is only a few meters difference which dosn't seem to be accounted for.

This problem doesn't seem related to [[GdalTools]], so would be useful if you write it on ML. AFAIK there was a discussion about it few months ago, but |

don't remember anything else.

When | go to Vector >> Data management tools >> Define current projection
no projection is shown. Does this imply the projection isn't sticking? It never has in the past.
If  try and open the attribute table to see whats going on QGIS crashes.

Ask on dev-ML, crashes are bad news so we should fix it before releasing the 1.6 if someone can confirm, but again it's not related to [[GdalTools]].

#7 - 2010-11-04 06:58 AM - badams -
Replying to [comment:6 brushtyler]:
Replying to [comment:5 badams]:

| loaded commit:b4¢c53234 (SVN r14496).

I'm not convinced its splitting AGD84 fron AGD66. There is only a few meters difference which dosn't seem to be accounted for.

This problem doesn't seem related to [[GdalTools]], so would be useful if you write it on ML. AFAIK there was a discussion about it few months ago,

but | don't remember anything else.

Will do. Whats ML.AFAIK?

When | go to Vector >> Data management tools >> Define current projection
no projection is shown. Does this imply the projection isn't sticking? It never has in the past.

If | try and open the attribute table to see whats going on QGIS crashes.

Ask on dev-ML, crashes are bad news so we should fix it before releasing the 1.6 if someone can confirm, but again it's not related to [[GdalTools]].

#8 - 2010-11-04 07:29 AM - Jiirgen Fischer
Replying to [comment:7 badams]:

This problem doesn't seem related to [[GdalTools]], so would be useful if you write it on ML.

AFAIK there was a discussion about it few months ago, but | don't remember anything else.

Will do. Whats ML.AFAIK?

ML = mailing list

AFAIK = as far as | know

#9 - 2010-11-06 05:08 AM - Giovanni Manghi

This problem doesn't seem related to [[GdalTools]], so would be useful if you write it on ML. AFAIK there was a discussion about it few months ago,

but I don't remember anything else.

No, this problems are not related to gdal tools and to this ticket. This ticket was opened to ask add a few enhancements to the gdal tools GUI in order to
allow users use ntv2 grids in a more straightforward way.

#10 - 2010-11-07 03:12 PM - Giovanni Manghi

Hi Brett,

beside the fact that this is not the right ticket where to continue this interesting discussion, I'm not following you.

A few commits that have been done recently have been reversed.

The "indirect" method (see #3099) still works.

| don't understand where this WGS72 comes out. 3)

Replying to [comment:5 badams]:

| loaded commit:b4c53234 (SVN r14496).

I'm not convinced its splitting AGD84 fron AGD66. There is only a few meters difference which dosn't seem to be accounted for.

To get AGD84, AGD66 and GDA94 to plot together | need to allow on the fly reprojection. This changes everything to WGS72 (is that a bit dodgy?

I'd never even heard of that projection). From here, everything seems to get exported as WGS72 lat long as opposed to the projection assigned on

import(not sure about this, the prj files don't make alot of sense but they don't look right)

When I go to Vector >> Data management tools >> Define current projection
no projection is shown. Does this imply the projection isn't sticking? It never has in the past.

If I try and open the attribute table to see whats going on QGIS crashes.

Sorry, not many positives in that.

#11 - 2010-11-07 04:40 PM - badams -

Replying to [comment:10 lutra]:

Hi Brett,

beside the fact that this is not the right ticket where to continue this interesting discussion, I'm not following you.

A few commits that have been done recently have been reversed.

The "indirect" method (see #3099) still works.

Not last time | checked (commit:b4c53234 (SVN r14496)). It imports correctly(or should | say, it put things in the right place), nothing else.

I don't understand where this WGS72 comes out. :)

Replying to [comment:5 badams]:

2025-04-27 4/5



| loaded commit:b4c53234 (SVN r14496).

I'm not convinced its splitting AGD84 fron AGD66. There is only a few meters difference which dosn't seem to be accounted for.

To get AGD84, AGD66 and GDA94 to plot together | need to allow on the fly reprojection. This changes everything to WGS72 (is that a bit dodgy?
I'd never even heard of that projection). From here, everything seems to get exported as WGS72 lat long as opposed to the projection assigned on

import(not sure about this, the prj files don't make alot of sense but they don't look right)

When | go to Vector >> Data management tools >> Define current projection

no projection is shown. Does this imply the projection isn't sticking? It never has in the past.

If I try and open the attribute table to see whats going on QGIS crashes.

Sorry, not many positives in that.

#12 - 2011-03-08 11:35 AM - Giovanni Manghi
- Resolution set to wontfix

- Status changed from Open to Closed

A tool to handle raster/vector datum transformations involving NTv2 grids and towgs84 parameters is going to be developed as separate tool. It will be
available in the next weeks.
